#ifndef MSP_GLTK_VSLIDER_H_
#define MSP_GLTK_VSLIDER_H_

#include "slider.h"

namespace Msp {
namespace GLtk {

class VSlider: public Slider
{
private:
	unsigned slider_size;

public:
	VSlider();

	virtual const char *get_class() const { return "vslider"; }

	virtual void autosize();

private:
	virtual void rebuild_special(const Part &, CachedPart &);

public:
	virtual void button_press(int, int, unsigned);
	virtual void button_release(int, int, unsigned);
	virtual void pointer_motion(int, int);
private:
	virtual void on_geometry_change();
	virtual void on_style_change();
};

} // namespace GLtk
} // namespace Msp

#endif
